<?php
require_once(__DIR__ . '/../vendor/autoload.php');

class PDFGenerator {
    // В классе PDFGenerator, измените функцию generate:
public function generate($invoices) {
    $pdf = new TCPDF();
    $pdf->AddPage();
    
    foreach ($invoices as $invoice) {
        $pdf->SetFont('Helvetica', '', 12);
        $pdf->Cell(0, 10, "Invoice #{$invoice['id']} - {$invoice['customer']} - {$invoice['description']} - \${$invoice['amount']} - {$invoice['date']} - Details: {$invoice['prepuesto']}", 0, 1);
    }
    
    // Изменение для скачивания файла
    $pdf->Output("Invoice_" . date('YmdHis') . ".pdf", 'D');
}

}
?>
